summaryrefslogtreecommitdiff
path: root/t/t4004-diff-rename-symlink.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t4004-diff-rename-symlink.sh')
-rwxr-xr-xt/t4004-diff-rename-symlink.sh16
1 files changed, 11 insertions, 5 deletions
diff --git a/t/t4004-diff-rename-symlink.sh b/t/t4004-diff-rename-symlink.sh
index a23aaa0a94..1a09e8db40 100755
--- a/t/t4004-diff-rename-symlink.sh
+++ b/t/t4004-diff-rename-symlink.sh
@@ -10,14 +10,20 @@ copy of symbolic links, but should not produce rename/copy followed
by an edit for them.
'
. ./test-lib.sh
-. ../diff-lib.sh
+. "$TEST_DIRECTORY"/diff-lib.sh
+
+if ! test_have_prereq SYMLINKS
+then
+ skip_all='Symbolic links not supported, skipping tests.'
+ test_done
+fi
test_expect_success \
'prepare reference tree' \
'echo xyzzy | tr -d '\\\\'012 >yomin &&
ln -s xyzzy frotz &&
- git-update-index --add frotz yomin &&
- tree=$(git-write-tree) &&
+ git update-index --add frotz yomin &&
+ tree=$(git write-tree) &&
echo $tree'
test_expect_success \
@@ -26,7 +32,7 @@ test_expect_success \
rm -f yomin &&
ln -s xyzzy nitfol &&
ln -s xzzzy bozbar &&
- git-update-index --add --remove frotz rezrov nitfol bozbar yomin'
+ git update-index --add --remove frotz rezrov nitfol bozbar yomin'
# tree has frotz pointing at xyzzy, and yomin that contains xyzzy to
# confuse things. work tree has rezrov (xyzzy) nitfol (xyzzy) and
@@ -34,7 +40,7 @@ test_expect_success \
# rezrov and nitfol are rename/copy of frotz and bozbar should be
# a new creation.
-GIT_DIFF_OPTS=--unified=0 git-diff-index -M -p $tree >current
+GIT_DIFF_OPTS=--unified=0 git diff-index -M -p $tree >current
cat >expected <<\EOF
diff --git a/bozbar b/bozbar
new file mode 120000